from setuptools import setup, find_packages

setup(
    name="todopkg",
    version="0.2.1",
    packages=find_packages(),
    install_requires = [
        'build==1.0.3; python_version >= "3.7"',
        'certifi==2023.7.22; python_version >= "3.6"',
        'charset-normalizer==3.3.2; python_full_version >= "3.7.0"',
        'colorama==0.4.6; os_name == "nt"',
        'docutils==0.20.1; python_version >= "3.7"',
        'exceptiongroup==1.1.3; python_version >= "3.7"',
        'flake8==6.1.0; python_full_version >= "3.8.1"',
        'idna==3.4; python_version >= "3.5"',
        'importlib-metadata==6.8.0; python_version >= "3.8"',
        'iniconfig==2.0.0; python_version >= "3.7"',
        'jaraco.classes==3.3.0; python_version >= "3.8"',
        'keyring==24.2.0; python_version >= "3.8"',
        'markdown-it-py==3.0.0; python_version >= "3.8"',
        'mccabe==0.7.0; python_version >= "3.6"',
        'mdurl==0.1.2; python_version >= "3.7"',
        'more-itertools==10.1.0; python_version >= "3.8"',
        'nh3==0.2.14',
        'packaging==23.2; python_version >= "3.7"',
        'pkginfo==1.9.6; python_version >= "3.6"',
        'pluggy==1.3.0; python_version >= "3.8"',
        'pycodestyle==2.11.1; python_version >= "3.8"',
        'pyflakes==3.1.0; python_version >= "3.8"',
        'pygments==2.16.1; python_version >= "3.7"',
        'pyproject-hooks==1.0.0; python_version >= "3.7"',
        'pytest==7.4.3; python_version >= "3.7"',
        'pywin32-ctypes==0.2.2; sys_platform == "win32"',
        'readme-renderer==42.0; python_version >= "3.8"',
        'requests==2.31.0; python_version >= "3.7"',
        'requests-toolbelt==1.0.0; python_version >= "2.7" and python_version not in "3.0, 3.1, 3.2, 3.3"',
        'rfc3986==2.0.0; python_version >= "3.7"',
        'rich==13.6.0; python_full_version >= "3.7.0"',
        'tabulate==0.9.0; python_version >= "3.7"',
        'twine==4.0.2; python_version >= "3.7"',
        'urllib3==2.0.7; python_version >= "3.7"',
        'zipp==3.17.0; python_version >= "3.8"'    
    ], 
    author="Isomorphism Group",
    author_email="fl2097@nyu.edu",
    description="A To-Do List manager package for managing your tasks efficiently.",
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown', 
    keywords="todo list project management",
    url="https://github.com/software-students-fall2023/3-python-package-exercise-isomorphism1337.git",
)
